    The XSPEC zashift convolution model: redshift an additive model.

xszashift
The xszashift model is a convolution model component.

The model is described at [1] .

>>> create_model_component("xszashift", "mdl")
>>> print(mdl)

Create a component of the xszashift model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.Redshift frozen 0 -0.999 10

ATTRIBUTES

The attribute for this object is:

Attribute
Definition
Redshift
The redshift.

Notes

Unlike XSPEC, the convolution model is applied directly to the model, or models, rather than using the multiplication symbol.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelZashift.html

Changes in CIAO

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023